package CategoryArchiveCleaner::CMS;

use strict;
use File::Basename;

sub build_file_filter {
    my $app = shift;
    my %param = @_;

    return 1 if is_limit();
    return 1 unless $param{archive_type} eq 'Category';

    my $category = $param{category};
    return 1 if $category->entry_count;

    my $fmgr = $param{blog}->file_mgr;
    my $file = $param{file};
    if ($fmgr->exists($file)) {
        $fmgr->delete($file);
    }
    return 0;
}

sub init_request {
    my $plugin = MT->component("CategoryArchiveCleaner");
    my $expire = $plugin->get_config_value('expire', 'system') || ',';

    my $expire = time();
    if ( $expire eq ',' ) {
        $plugin->set_config_value('expire', $expire, 'system');
    }

    my $duration = time() - $expire;
    my $rest_day = 30 - int($duration / (24 * 3600));
    $plugin->set_config_value('rest_day', $rest_day, 'system');
}

sub is_limit {
    my $plugin = MT->component("CategoryArchiveCleaner");
    my $rest_day = $plugin->get_config_value('rest_day', 'system') || 0;
    return ($rest_day > 0) ? 0 : 1;
}

1;
